Changelog
---------

ver 1.8.4.7 [ 02/06/2023 ]
 - FIX: Roll back to manual Google Fonts update for Redux library
 - UPDATE: Updated Google fonts

ver 1.8.4.6 [ 20/12/2022 ]
 - FIX: Eliminated some PHP warnings for PHP 8.1
 - IMPROVEMENT: A more solid workaround for paragraph tag issue of WPBakery Page Builder

ver 1.8.4.5 [ 16/12/2022 ]
 - FIX: Removed unused variable in VC module
 - IMPROVEMENT: Fixing fatal error for 404 requests on demo importer

ver 1.8.4.4 [ 01/12/2022 ]
 - IMPROVEMENT: Optimized additional <p> tag fix for WPBakery Page Builder

ver 1.8.4.3 [ 16/11/2022 ]
 - FIX: Removed additional <p> tag added in main content by WPBakery Page Builder

ver 1.8.4.2 [ 10/11/2022 ]
 - FIX: Removed pointless "wpb-content-wrapper" section from WPBakery Page Builder module

ver 1.8.4.1 [ 07/10/2022 ]
 - IMPROVEMENT: Call To Booking element

ver 1.8.4 [ 03/10/2022 ]
 - IMPROVEMENT: Isotope fix
 - IMPROVEMENT: Events calendar class micro improvements

ver 1.8.3 [ 12/04/2022 ]
 - IMPROVEMENT: Eliminated some PHP 8 depracation warnings

ver 1.8.2 [ 24/12/2021 ]

 - IMPROVEMENT: Refactored get_post_media method
 - IMPROVEMENT: Eliminated some minor PHP warnings on Booking shortcode/widget for older installations

ver 1.8.1 [ 01/11/2021 ]

 - UPDATE: Redux Framework to 4.2.14 ( solved several PHP 8 issues )
 - UPDATE: Mustache Engine to latest version ( solved several PHP 8 issues )
 - IMPROVEMENT: Added min start date / booking duration options for Call to booking element
 - IMPROVEMENT: Added 'plethora_widget_latestnews_dateformat' filter in Latest news widget
 - IMPROVEMENT: Minor warnings eliminated

ver 1.7.9 [ 26/01/2021 ] - Fix version

 - FIX: Fixed issue with demo importer

ver 1.7.8 [ 25/01/2021 ] - Jan. 2021 Updates Fixes

 - UPDATE: Redux Framework to 4.1.24
 - IMPROVEMENT: Improved cookie implementation ( added 'samesite' settings for post PHP 7.3 versions ) for the WPBakery module
 - IMPROVEMENT: Minor jQuery improvement for Any Post Loop shortcodes
 - IMPROVEMENT: Minor jQuery improvement for Image Compare shortcode
 - IMPROVEMENT: Minor jQuery improvement for Demo Importer module

ver 1.7.7 [ 23/11/2020 ] - Nov. 2020 Updates Fixes

 - FIX: Menu selection fields are displaying the right label ( instead of numbers )

ver 1.7.6 [ 15/09/2020 ] - Sept. 2020 Updates Fixes

 - FIX: LESS Urls were not absolute, some auxilliary images ( arrows, etc. ) set within stylesheets were not working

ver 1.7.5 [ 06/09/2020 ] - Sept. 2020 Updates Fixes

 - FIX: Minor JS fix for typography related fields

ver 1.7.4 [ 05/09/2020 ] - Sept. 2020 Updates

 - UPDATE: Redux Framework to 4.1.15
 - UPDATE: WP LESS to latest stable version

ver 1.7.3 [ 05/05/2020 ] - May 2020 Updates

 - INTERNAL: Eliminated restrictions in loading of own admin assets related to WPBakery Page Builder

ver 1.7.2 [ 12/02/2020 ] - Updating version to 1.7.2 Healthlex/Hotel Xenia/Avoir February 2020 releases

 - IMPROVEMENT: Button shortcode size/color options not visible ( as they are not affecting the result ) when style is set to "Link Button"
 - IMPROVEMENT: Added custom archive page functionality to Breadcrumb
 - IMPROVEMENT: Deprecated PHP functions replacements

ver 1.7.1 [ 02/12/2019 ] - Updating version to 1.7.1 Healthlex/Hotel Xenia/Avoir December 2019 releases

 - IMPROVEMENT: Added predefined Call To Booking shortcode configuration for various popular booking engines
 - IMPROVEMENT: Added additional text that can be displayed in various positions within the Events Calendar archive views
 - IMPROVEMENT: Added a 'plethora_anypostloop_{post_type}_{type}_item_opts' filter hook, that allows developers to filter post results
 for any post loop shortcode ( Posts, Rooms, Services grids and sliders ).
 - FIX: Removed inactive intro text and align options for Events Calendar archive views

ver 1.7.0 [ 26/06/2019 ] - Updating version to 1.7.0 Healthlex/Hotel Xenia/Avoir July 2019 releases

 - [ WIDGET: ABOUT US ] - Added description
 - [ POST TYPE: SLIDER ] - Added description to "Main Caption Title" field, to avoid issues like this: https://plethorathemes.zendesk.com/agent/tickets/3520

ver 1.6.9 [ 10/01/2019 ] - Updating version to 1.6.9  for Hotel Xenia January 2019 release

- [ SHORTCODE: CALL TO BOOKING ] - Fixing adults field, minimum field counter.

ver 1.6.8 [ 22/10/2018 ] - Updating version to 1.6.8  for HealthFlex October 2018 release

ver 1.6.7 [ 30/09/2018 ] - Updating version to 1.6.7  for Avoir October 2018 release (Tattoo Studio)

ver 1.6.6 [ 18/07/2018 ] - Updating version to 1.6.6  for Hotel Xenia July 2018 release

ver 1.6.5 [ 02/07/2018 ] - Updating version to 1.6.5  for Hotel Xenia & HealthFlex July 2018 releases

ver 1.6.4 [ 25/06/2018 ] - Updating version to 1.6.4  for Cleanstart + Avoir July 2018 releases

ver 1.6.3 [ 23/04/2018 ] - Updating version to 1.6.3 for packaging of Healthflex 1.5.5

ver 1.6.2 [ 23/02/2018 ] - packed for February 2018 theme releease

 - [ MODULE: SYSTEM INFO ] added Web Server Document Root information
 - [ SHORTCODE: ANY POST LOOP ] Fixing Projects Grid with Revolution Slider
 - [ SHORTCODE: NEWSLETTER FORM ] Fix for strings that were not translatable ( affects only Healthflex )

ver 1.6.1 [ 31/10/2017 ] - packed for November 2017 theme releease

ver 1.6.0 [ 14/08/2017 ] - packed for August 2017 theme releease

ver 1.5.9 [ 02/06/2017 ] - packed for Healthflex 1.5 / Avoir 1.2.2 releases

 - [ MODULE: ANY POST LOOP ] added media size option
 - [ WIDGET: ANY LATEST POST ] added automatic post excerpts support for Any Latest Posts widget
 - [ MODULE: ANY POST LOOP ] added support for comment count text ( in order for users to be able to utilize a translatable string )
 - [ MODULE: NAVWALKER ] navwalker class issue with menu items title attribute
 - [ MODULE: BOOKING ] before/after booking price texts are translatable fields
 - [ SHORTCODE: TERMS INDEX ] Added ajax loading ( svg loader ) for post links

ver 1.5.8 [ 21/05/2017 ] - packed for Hotel Xenia 1.2.1 release

 - WIDGETS: Added support for Skype 'callto' and 'skype' links on About Us widget.
 - SHORTCODE: ANY POST LOOP | BASE: Added support for Ajax-loaded Owl Carousels.
 - UPDATE: Updated Redux Select2 library to latest version. Fixes conflicts with WooCommerce.
  ( linked products and attributes were not working correctly )
 - UPDATE: Multibyte additions

ver 1.5.7  [ 12/4/2017 ] - packed for Healthflex 1.4.9 release

 - UPDATE: Renamed Plethora_Module_Wpmlconfig to Plethora_Module_Wpml
 - UPDATE: Support for WooCommerce 3.0.3
 - UPDATE: Redux Metabox extension update to 1.4.2 version
 - UPDATE: Demo importer can manage database tables

ver 1.5.6  [ 23/2/2017 ] - packed for Hotel Xenia 1.2. release

 - NEW: Theme Options module ( beta )
 - NEW: Sticky Header module ( beta )
 - NEW: Side Nav module ( beta )
 - NEW: Logo module ( beta )
 - NEW: Footer widgets module ( beta )
 - NEW: Color sets module ( beta )
 - NEW: Typography module ( beta )
 - UPDATE: several enhancements for the abstract Plethora class

 - NEW: Nav Mini tools module, handles all header mini tools features
 - FIX: Minor fix for amenities index

ver 1.5.5  [ 6/2/2017 ] - packed for Avoir 1.2. release

 - NEW: Nav Mini tools module, handles all header mini tools features
 - FIX: Minor fix for amenities index

ver 1.5.4  [ 27/1/2017 ] - packed for Hotel Xenia 1.1 release

 - WIDGETS: Updated several widgets according to the latest parameters index methodology. These widgets are not included on any theme yet, so it's safe to work
 - SHORTCODE: PROFILE GRID | BASE: Added order by date selection HEALTHFLEX-81
 - SHORTCODE: ANY POST LOOP | BASE: Correction for the amenities option dependency configuration...we need this field only on room CPT
 - SHORTCODE: ANY POST LOOP | BASE:  Fix for the return of get_templates_dependency() method. Apparently VC dependency functionality needs an array with default PHP array keys ( 0 => value1, 1 => value2, etc. )...in example, if an array was starting as 1 => value 1, it would not apply the dependency! . I fixed this using on the return value the array_values() function, which resets the keys properly.
 - POST TYPE: SLIDER | BASE:  Repeater field fixes XENIAWP-135 #done
 - MODULE: BOOKING | BASE:  Added template methods for full price list field XENIAWP-129
 - POST TYPE: SLIDER | BASE: Button classes fix XENIAWP-97
 - SHORTCODE: ANY POST LOOP | BASE: Added color set and room amenities XENIAWP-132
 - POST TYPE: ROOM | BASE: Added a helper method that returns amenities configuration ready for template use
 - CONTROLLER: WIDGET:  Minor fix
 - WIDGET: CALL TO BOOKING | BASE: XENIAWP-112 Fix for "It does not pass the selected room to the booking form"
 - CONTROLLER: WIDGET: Fixed field description for chekbox

ver 1.5.3  [ 13/1/2017 ] - packed for Healthflex 1.4.8 release

 - ( pending )

ver 1.5.2  [ 23/12/2016 ] - packed for Hotel Xenia 1.0 release

 - ( pending )

ver 1.5.1  [ 02/11/2016 ] - packed for Avoir 1.1.1 release

 - NEW: Hover Box shortcode for Xenia
 - UPDATE: Added checkbox field to Widgets Controller class
 - UPDATE: Updated About Us base class according to widget options config system
 - UPDATE: Slider post type titled as OwlSliders. Also added some slider data returning methods, mostly to replace those in media panel class calls
 - UPDATE: Media Panel class updates and minor fixes
 - UPDATE: Added First/Last name for Newsletter shortcode
 - UPDATE: Moved theme options under General Tab for the breadcrumb module
 - UPDATE: Added wp_kses on term name for Any Post Loop shortcode(s)

ver 1.5  [ 13/10/2016 ] - packed for Healthflex 1.4.7 release

 - NEW: CF7 Module class
 - NEW: Advanced search module
 - NEW: Breadcrumb module
 - NEW: Editor Content Index module
 - NEW: Editor Content Nav Widget
 - NEW: Custom Tax List Widget
 - NEW: Filter By Letter Widget
 - NEW: Site Updated Widget
 - UPDATE: VC module handles user defined element removals
 - UPDATE: Minor improvements for features: Heading group, Instagram Feed, Mailchimp, About Us, Latest News, Google Maps
 - FIX: Twenty/Twenty premature intialization bug
 - FIX: Media panel owlslider, lazyload and mouse/touch slide options issue
 - FIX: Minor fixes

ver 1.4.9  [ 17/09/2016 ]

 - NEW: Events Calendar plugin support module ( first use in Healthflex )
 - UPDATE: Moved the new Media Panel base module version from  Avoir theme in here...from now and on, this will be the official one
 - UPDATE: Updated WooCommerce module class to meet latest changes in the abstract Plethora class page_id / post_type returning methods

ver 1.4.8  [06/09/2016]

 - UPDATE: Updated WooCommerce module class to meet latest changes.
 - UPDATE: Added some usefull hooks in WPLESS module class
 - UPDATE: Replaced textarea fields with simple text inside the slide repeater field...it seems that textarea don't play well with Redux repeater.

ver 1.4.7  [2/08/2016]

 - UPDATE: just minor fixes, mostly for Avoir Review

ver 1.4.6  [12/07/2016]

 - NEW: Google Maps API module
 - NEW: VC Module
 - FIX: Minor fix to avoid PHP fatal error when VC is not active
 - FIX: Other microfixes

ver 1.4.5  [06/07/2016]

 - UPDATE: just minor fixes, mostly for HealthFlex 1.4.5 packaging

ver 1.4.4  [22/05/2016]

 - UPDATE: just minor fixes, mostly for Avoir 1.0 packaging

ver 1.4.3  [14/05/2016]

 - UPDATE: just minor fixes, mostly for HealthFlex 1.4.3 packaging


ver 1.4.2  [14/05/2016]

 - NEW: Counter shortcode
 - NEW: Typewriter shortcode
 - UPDATE: Added master theme options for Media Panel module
 - FIX: Social icons switch for Profiles Grid shortcode is working
 - FIX: Align issue Heading Group shortcode
 - FIX: Other microfixes

ver 1.4.1  [01/04/2016]

 - NEW: Posts Grid shortcode in beta
 - UPDATE: Rebuilt for Terms Index shortcode class, to meet multilingual terms
 - UPDATE: Added 'Design Options' tab and VC options panel layout for shortcodes: Classic Post, Button, Newsletter form, Heading Group, Terms Index
 - FIX: Profiles Grid shortcode fix for profiles display order ( thanks to dpicot68, #2252 )

ver 1.4  [11/03/2016]

 - NEW: Demo Importer is ready!
 - NEW: Replaced portfolio post type with projects
 - UPDATE: Added support for projects on media panel
 - UPDATE: Added some more information on System Info panel
 - UPDATE: various minor updates

ver 1.3 [18/02/2016]

 - UPDATE: Added Revolution Slider support on Media panel module
 - FIX: Removed non used 'Add To Cart' button text snippet for WooCommerce module

ver 1.2 [06/02/2016]

 - UPDATE: ECWID support module
 - UPDATE: Minor updates to meet the latest template system changes
 - UPDATE: POT file update

ver 1.1  [23/01/2016]

- FIX: small array call fix causing fatal error on PHP 5.3 hosting packages

ver 1.0  [15/01/2016]

- Initial launch
